import 'package:flutter/widgets.dart';

/// Server static configuration
///
/// @author Pierre Hubert

class ServerDataConservationPolicy {
  final int minInactiveAccountLifetime;
  final int minNotificationLifetime;
  final int minCommentsLifetime;
  final int minPostsLifetime;
  final int minConversationMessagesLifetime;
  final int minLikesLifetime;

  const ServerDataConservationPolicy({
    @required this.minInactiveAccountLifetime,
    @required this.minNotificationLifetime,
    @required this.minCommentsLifetime,
    @required this.minPostsLifetime,
    @required this.minConversationMessagesLifetime,
    @required this.minLikesLifetime,
  })  : assert(minInactiveAccountLifetime != null),
        assert(minNotificationLifetime != null),
        assert(minCommentsLifetime != null),
        assert(minPostsLifetime != null),
        assert(minConversationMessagesLifetime != null),
        assert(minLikesLifetime != null);
}

class ServerConfig {
  final ServerDataConservationPolicy dataConservationPolicy;

  const ServerConfig({
    @required this.dataConservationPolicy,
  }) : assert(dataConservationPolicy != null);
}
